Package weka.core

# Class AttributeStats

java.lang.Object
weka.core.AttributeStats

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class AttributeStats extends Object implements Serializable, RevisionHandler
A Utility class that contains summary information on an the values that appear in a dataset for a particular attribute.

Version:
  $Revision: 14912 $
Author:
  Len Trigg
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `distinctCount`
  The number of distinct values
  `int`
  `intCount`
  The number of int-like values
  `int`
  `missingCount`
  The number of missing values
  `int[]`
  `nominalCounts`
  Counts of each nominal value
  `double[]`
  `nominalWeights`
  Weight mass for each nominal value
  `Stats`
  `numericStats`
  Stats on numeric value distributions
  `int`
  `realCount`
  The number of real-like values (i.e.
  `int`
  `totalCount`
  The total number of values (i.e.
  `int`
  `uniqueCount`
  The number of values that only appear once

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeStats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `String`
  `toString()`
  Returns a human readable representation of this AttributeStats instance.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### intCount

    public int intCount
    The number of int-like values

  - ### realCount

    public int realCount
    The number of real-like values (i.e. have a fractional part)

  - ### missingCount

    public int missingCount
    The number of missing values

  - ### distinctCount

    public int distinctCount
    The number of distinct values

  - ### uniqueCount

    public int uniqueCount
    The number of values that only appear once

  - ### totalCount

    public int totalCount
    The total number of values (i.e. number of instances)

  - ### numericStats

    public Stats numericStats
    Stats on numeric value distributions

  - ### nominalCounts

    public int[] nominalCounts
    Counts of each nominal value

  - ### nominalWeights

    public double[] nominalWeights
    Weight mass for each nominal value

- ## Constructor Details

  - ### AttributeStats

    public AttributeStats()

- ## Method Details

  - ### toString

    public String toString()
    Returns a human readable representation of this AttributeStats instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      a String represtinging these AttributeStats.

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision